Page MenuHomePhabricator

[clangd] Allow to use vfs::FileSystem for file accesses.
ClosedPublic

Authored by ilya-biryukov on May 22 2017, 9:08 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

ilya-biryukov created this revision.May 22 2017, 9:08 AM
bkramer added inline comments.May 23 2017, 2:45 AM
unittests/clangd/ClangdTests.cpp
118 ↗(On Diff #99777)

We should delete those when we're done, otherwise the unit test will litter /tmp on every run.

ilya-biryukov added inline comments.May 23 2017, 6:40 AM
unittests/clangd/ClangdTests.cpp
118 ↗(On Diff #99777)

ASTUnit handles that, right?
It's only here to provide access to PCHs ASTUnit creates, we don't actually write to those dirs ourselves.

Changed tests to use Windows-style paths for virtual directory when running on Windows.

krasimir added inline comments.May 24 2017, 2:49 AM
unittests/clangd/ClangdTests.cpp
298 ↗(On Diff #99902)

Move this to the previous line.

336 ↗(On Diff #99902)

Move this to the previous line.

Minor refactoring to address @krasimir's comments

ilya-biryukov marked 2 inline comments as done.May 24 2017, 4:15 AM
bkramer accepted this revision.May 24 2017, 5:48 AM

Looks good. Make sure to watch the windows buildbots after submitting.

This revision is now accepted and ready to land.May 24 2017, 5:48 AM
  • Fixed file comment of ClangdTests.cpp
krasimir accepted this revision.May 26 2017, 1:01 AM
This revision was automatically updated to reflect the committed changes.
chapuni added inline comments.
clang-tools-extra/trunk/unittests/clangd/ClangdTests.cpp
123

Did you mean, "TmpDir1 != TmpDir2" ?
Fixed in r304067.

Thanks for fixing the failures. Sorry for not being around to look into that myself.

clang-tools-extra/trunk/unittests/clangd/ClangdTests.cpp
123

I sure did. Thanks.